Page MenuHomePhabricator

Wikitext editor should support plain text CAPTCHA
Closed, ResolvedPublic

Description

Actually, MobileFrontend interprets all captchas to be an image. ConfirmEdit supports other modules, too, which are used especially on third party wikis, which ask questions or something similar. For this, the editor should support plain text CAPTCHAs, too.

Event Timeline

Florian created this task.Jul 12 2015, 1:04 AM
Florian claimed this task.
Florian raised the priority of this task from to Needs Triage.
Florian updated the task description. (Show Details)
Florian added a project: MobileFrontend.
Florian added a subscriber: Florian.
Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptJul 12 2015, 1:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 224295 had a related patch set uploaded (by Florianschmidtwelzow):
Handle CAPTCHAs with different mime types different

https://gerrit.wikimedia.org/r/224295

Jdlrobson moved this task from Backlog to Bugs on the MobileFrontend board.Jul 20 2015, 5:16 PM

Change 224295 merged by jenkins-bot:
Handle CAPTCHAs with different mime types different

https://gerrit.wikimedia.org/r/224295

Florian closed this task as Resolved.Jul 22 2015, 4:32 AM

Is it possible to support <img> tag, display image?

For example, one of our question is: "What's her name: <img src="http://static.mengniang.org/common/thumb/8/83/25208068.png/250px-25208068.png" alt="" title="" />"

@Zoglun: uohhh, that's a bad practice. This would break the layout/design and would require, that we allow to pass html as the captcha content :/ In my point of view, we shouldn't support that. What does others mean? @Jdlrobson @Jhernandez ?

I don't really understand the question. I would hope the captcha API would return everything needed for the client to construct the interface

e.g. {
questionid: 1,
question: "What's her name?",
img: {
alt: "",
title:"",
src: ""
}

Passing an answer to the api with questionid 1 would then either let editing complete or not.

Jdlrobson set Security to None.